Page through and search customers
1 min
GET
https://app.amberflo.io/customers/paging
limitinteger<int32>Maximum number of customers per page.
pageinteger<int32>Page number.
isAscendingboolean<p>Sort results in ascending order when true, descending when false. Defaults to false.</p>
sortstringWhich field to sort the customers by.
searchstring<p>Filter customers by searching for the provided string in <code>customerName</code>, <code>customerId</code> and <code>customerEmail</code>.</p>
enabledboolean<p>If set, filter customers by their status: enabled (<code>true</code>) or disabled (<code>false</code>).</p>
idlistarrayComma separated list of `customerId`s to retrieve.
When providing this parameter, the others are ignored.
lifecycleStagestringFilter customers by lifecycle stage.
deletedCustomersstring<p>Filter customers based on their deleted state. By default deleted customers will not be included in the response.</p>
<ul>
<li><code>INCLUDE</code> - includes deleted customers in the results.</li>
<li><code>EXCLUDE</code> - does not include deleted customers in the results.</li>
<li><code>ONLY</code> - returns only deleted customers in the results.</li>
</ul>
tagsarrayFilter customers by tags. The result will include only customers that have all the tags provided.
Tags are indicated as <tag key>:<tag value>. Example: `use_case:billing`.
It is also possible to filter for tag prefixes by using the wildcard character `*`. Example: `use_case:*`.
To filter for multiple tags, separate them with a comma. Example: `use_case:billing,use_case:payment`.
200Successfully retrieved paginated customer records matching the query criteria
400Invalid query parameters, invalid sort field, or malformed filter criteria
401Authentication required or API key is invalid
403Insufficient permissions to access customer data
500Internal server error occurred while querying customers
curl --request GET \
--url https://app.amberflo.io/customers/paging \
--header 'accept: application/json'